```
 __    __     __  __     ______     ______   ______     ______     __
/\ "-./  \   /\ \_\ \   /\  ___\   /\__  _\ /\  __ \   /\  __ \   /\ \
\ \ \-./\ \  \ \____ \  \ \___  \  \/_/\ \/ \ \ \/\ \  \ \ \/\ \  \ \ \____
 \ \_\ \ \_\  \/\_____\  \/\_____\    \ \_\  \ \_____\  \ \_____\  \ \_____\
  \/_/  \/_/   \/_____/   \/_____/     \/_/   \/_____/   \/_____/   \/_____/
```

[![CodeFactor](https://www.codefactor.io/repository/github/ljzd-pro/nonebot-plugin-mystool/badge?style=for-the-badge)](https://www.codefactor.io/repository/github/ljzd-pro/nonebot-plugin-mystool)
[![最新发行版](https://img.shields.io/github/v/release/Ljzd-PRO/nonebot-plugin-mysTool?logo=python&style=for-the-badge)](https://github.com/Ljzd-PRO/nonebot-plugin-mystool/releases/latest)
[![最后提交](https://img.shields.io/github/last-commit/Ljzd-PRO/nonebot-plugin-mysTool/dev?style=for-the-badge)](https://github.com/Ljzd-PRO/nonebot-plugin-mystool/commits/dev)

# mysTool - 米游社辅助工具插件

## 📣 更新内容

### 2024.1.24 - [v2.0.1-beta.1](https://github.com/Ljzd-PRO/nonebot-plugin-mystool/releases/tag/v2.0.1-beta.1)

- 更新插件配置的 `preference.github_proxy` 默认值为 `https://mirror.ghproxy.com/`
> [!NOTE]
> `preference.github_proxy` 用于使用代理以更快地从 GitHub 下载 Source Han Sans 思源黑体 字体。 \
> 只有新生成的配置文件会使用新默认值，对于之前创建的配置文件，如果想使用新默认值则需要手动修改。

- 显示米游社账号时除了显示米游社UID，还会显示登录时获取到的手机尾号4位，方便辨识账号 (#242)
> [!IMPORTANT]
> 目前还在考虑是否需要通过一个用户设置选项，来控制是否显示手机尾号，并默认关闭，以保护用户隐私 \
> 如果觉得有必要可以在 [Discussion 讨论页面](https://github.com/Ljzd-PRO/nonebot-plugin-mystool/discussions/247) 的对应话题提出或投票。

### 2024.1.27 - v2.0.0

- 项目结构重构，解决了开发时容易出现循环导入 (circular import) 之类的问题，结束了之前的混乱。~~虽然可能还是很乱（~~ :octocat:
- 命令帮助信息相关代码重构
- 插件配置相关代码重构，新的配置文件为 `configV2.json`，与V1版本不兼容
- 插件配置中设备信息和 Salt 配置重构，从 `.env` 和环境变量中读取，与V1版本不兼容
- 插件数据相关代码重构，新的配置文件为 `configV2.json`，与V1版本不兼容
- 修复兑换计划添加的相关代码的Bug

- 修复商品兑换图片生成相关问题 (v2.0.0)

> [!NOTE]
> 不需要担心插件配置和数据文件的兼容性，插件启动（导入）时会自动将V1版本的插件数据文件进行备份和升级

## ⚡ 功能和特性

- 支持QQ聊天和QQ频道
- 短信验证登录，免抓包获取 Cookie
- 自动完成每日米游币任务
- 自动进行游戏签到
- 可制定米游币商品兑换计划，到点兑换（因加入了人机验证，成功率较低）
- 可支持多个 QQ 账号，每个 QQ 账号可绑定多个米哈游账户
- QQ 推送执行结果通知
- 原神、崩坏：星穹铁道状态便笺通知
- 可为登录、每日米游币任务、游戏签到配置人机验证打码平台
- 可配置用户黑名单/白名单

## 📖 使用说明

### 🛠️ NoneBot2 机器人部署和插件安装

请查看 -> [🔗Installation](https://github.com/Ljzd-PRO/nonebot-plugin-mystool/wiki/Installation)

### 📖 插件具体使用说明

请查看 -> [🔗Wiki 文档](https://github.com/Ljzd-PRO/nonebot-plugin-mystool/wiki)

### ❓ 获取插件帮助信息

#### 插件命令

```
/帮助
```

> [!NOTE]
> 此处没有使用 [🔗 插件命令头](https://github.com/Ljzd-PRO/nonebot-plugin-mystool/wiki/Configuration-Config#commandstart)

## 其他

### 贡献
<a href="https://github.com/Ljzd-PRO/nonebot-plugin-mystool/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=Ljzd-PRO/nonebot-plugin-mystool&max=1000" alt="贡献者"/>
</a>

### 🔨 开发版分支
[**🔨dev**](https://github.com/Ljzd-PRO/nonebot-plugin-mystool/tree/dev)

### 📃 源码说明
[📃Source-Structure](https://github.com/Ljzd-PRO/nonebot-plugin-mystool/wiki/Source-Structure)

### 适配 [绪山真寻Bot](https://github.com/HibiKier/zhenxun_bot) 的分支
- https://github.com/MWTJC/zhenxun-plugin-mystool
- https://github.com/ayakasuki/nonebot-plugin-mystool
